Subject: bug#23341: x-show-tip does not respect the value of tooltip-hide-delay, and the default tooltip timeout isn't configurable

From: Clément Pit--Claudel <[email-masked]>
Date: Sat, 23 Apr 2016 18:33:13 -0400

On 2016-04-23 13:54, Eli Zaretskii wrote:
> I don't think it's right for Emacs to provide such ugly global hacks
> because some packages out there don't give users ways to customize the
> tooltips.  The hard-coded value we provide is the last resort,
> nothing more, nothing less.
> 
> Bottom line, I think the bug is in the packages that don't provide
> customizations for this, and you should take this up with the
> respective maintainers.

Eli, thanks for your responses. I'm sorry that I didn't make the original bug report clear enough.

As a user, I would like to have a way to globally configure how long tooltips produced by Emacs are displayed.
At the moment, Emacs does not provide such a default. tooltip-hide-delay is close, but it does not cover all tooltips.

As a user, I don't like it to have to customize every package that use tooltips to just to ensure a consistent default.

Clément.